DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
OFis_unsigned< T > Struct Template Reference

Metafunction to determine if a type is unsigned. More...

## Detailed Description

template<typename T>
struct OFis_unsigned< T >

Metafunction to determine if a type is unsigned.

OFis_unsigned is based on OFintegral_constant and evaluates to OFTrue if an unsigned type is probed, otherwise OFis_unsigned<...>::value equals OFFalse.

See also
  http://en.cppreference.com/w/cpp/types/is_unsigned for details.

Template Parameters

  T | The type to inspect, e.g. "unsigned int".

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2